org.jbpm.runtime.manager.impl.factory

## Class JPASessionFactory

- java.lang.Object
- - org.jbpm.runtime.manager.impl.factory.JPASessionFactory

- All Implemented Interfaces:
    org.kie.internal.runtime.manager.SessionFactory

      public class JPASessionFactory
      extends Object
      implements org.kie.internal.runtime.manager.SessionFactory

  SessionFactory implementation that is backed by a database for storing `KieSession` data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPASessionFactory(org.kie.api.runtime.manager.RuntimeEnvironment environment, String owner)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addInterceptors(org.kie.api.runtime.KieSession ksession)`
    `void` | `close()`
    `org.kie.api.runtime.KieSession` | `findKieSessionById(Long sessionId)`
    `org.kie.api.runtime.KieSession` | `newKieSession()`
    `void` | `onDispose(Long sessionId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JPASessionFactory

          public JPASessionFactory(org.kie.api.runtime.manager.RuntimeEnvironment environment,
                                   String owner)

  - ### Method Detail

    - #### newKieSession

          public org.kie.api.runtime.KieSession newKieSession()

      Specified by:
        `newKieSession` in interface `org.kie.internal.runtime.manager.SessionFactory`

    - #### findKieSessionById

          public org.kie.api.runtime.KieSession findKieSessionById(Long sessionId)

      Specified by:
        `findKieSessionById` in interface `org.kie.internal.runtime.manager.SessionFactory`

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.kie.internal.runtime.manager.SessionFactory`

    - #### addInterceptors

          protected void addInterceptors(org.kie.api.runtime.KieSession ksession)

    - #### onDispose

          public void onDispose(Long sessionId)

      Specified by:
        `onDispose` in interface `org.kie.internal.runtime.manager.SessionFactory`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.